Get Active Change Request

View as Markdown

Get the active (draft or ready) change request for a subscription.

Returns null if no active change request exists.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

subscription_idstringRequired
account_idstringRequired

Response

Active change request found
idstring
ID of the change request
subscription_idstring
ID of the subscription
statusenum

Status of a SubscriptionChangeRequest.

States:

  • DRAFT: Change request is being built (items/coupons/balance can be modified)
  • READY: Impact calculated and validated, ready to be applied
  • APPLIED: Successfully applied to subscription
  • CANCELLED: Manually cancelled or expired
  • CANCELLED_PAYMENT_FAILED: Cancelled due to payment failure (triggers two-invoice fallback)
item_changes_countinteger
coupon_changes_countinteger
balance_changes_countinteger
created_atdatetime
updated_atdatetime
expires_atdatetime or nullOptional
applied_atdatetime or nullOptional
last_preview_atdatetime or nullOptional
reasonstring or nullOptional

Errors

404
Not Found Error
422
Unprocessable Entity Error